<template>
    <input 
        type="text" 
        class="my-input" 
        placeholder="Placeholder"
        v-model="value"
    >
</template>

<script>
export default {
    name: "MyInput",
    props: {
        modelValue: String
    },
    watch: {
        modelValue(newValue) {
            console.log('watch:', newValue);
        }
    },
    computed: {
        value: {
            get() {
                return this.modelValue;
            },
            set(value) {
                console.log(value);
                this.$emit('update:modelValue', value);
            }
        }
    }
}
</script>

<style scoped>
    .my-input {
        background: var(--color-background);
        border: 1px solid #ccc;
        padding: 8px 12px;
        color: var(--color-text);
        border-radius: 4px;
    }

    .my-input:hover {
        background: #222;
    }
</style>